RTEMS: Cache Functions

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Modules
Cache Functions
Board Support Packages » ARM » Shared » CMSIS » Defines and Type Definitions » Status and Control Registers » Nested Vectored Interrupt Controller (NVIC) » System Control Block (SCB) » System Controls not in SCB (SCnSCB) » System Tick Timer (SysTick) » Instrumentation Trace Macrocell (ITM) » Data Watchpoint and Trace (DWT) » Trace Port Interface (TPI) » Core Debug Registers (CoreDebug) » Core register bit field macros » Core Definitions | Board Support Packages » ARM » Shared » CMSIS » Defines and Type Definitions » Status and Control Registers » Nested Vectored Interrupt Controller (NVIC) » System Control Block (SCB) » System Controls not in SCB (SCnSCB) » System Tick Timer (SysTick) » Instrumentation Trace Macrocell (ITM) » Data Watchpoint and Trace (DWT) » Trace Port Interface (TPI) » Core Debug Registers (CoreDebug) » Core register bit field macros » Core Definitions » Functions and Instructions Reference » NVIC Functions » FPU Functions

Functions that configure Instruction and Data cache. More...

## Modules
| SysTick Functions
| Functions that configure the System.
__STATIC_INLINE void | SCB_EnableICache (void)
| Enable I-Cache.
__STATIC_INLINE void | SCB_DisableICache (void)
| Disable I-Cache.
__STATIC_INLINE void | SCB_InvalidateICache (void)
| Invalidate I-Cache.
__STATIC_INLINE void | SCB_EnableDCache (void)
| Enable D-Cache.
__STATIC_INLINE void | SCB_DisableDCache (void)
| Disable D-Cache.
__STATIC_INLINE void | SCB_InvalidateDCache (void)
| Invalidate D-Cache.
__STATIC_INLINE void | SCB_CleanDCache (void)
| Clean D-Cache.
__STATIC_INLINE void | SCB_CleanInvalidateDCache (void)
| Clean & Invalidate D-Cache.
__STATIC_INLINE void | SCB_InvalidateDCache_by_Addr (uint32_t *addr, int32_t dsize)
| D-Cache Invalidate by address.
__STATIC_INLINE void | SCB_CleanDCache_by_Addr (uint32_t *addr, int32_t dsize)
| D-Cache Clean by address.
__STATIC_INLINE void | SCB_CleanInvalidateDCache_by_Addr (uint32_t *addr, int32_t dsize)
| D-Cache Clean and Invalidate by address.
#define | CCSIDR_WAYS(x) (((x) & SCB_CCSIDR_ASSOCIATIVITY_Msk) >> SCB_CCSIDR_ASSOCIATIVITY_Pos)
#define | CCSIDR_SETS(x) (((x) & SCB_CCSIDR_NUMSETS_Msk ) >> SCB_CCSIDR_NUMSETS_Pos )

## Detailed Description

Functions that configure Instruction and Data cache.

## Function Documentation

## ◆ SCB_CleanDCache()

__STATIC_INLINE void SCB_CleanDCache | ( | void |  | ) |

Clean D-Cache.

Cleans D-Cache

## ◆ SCB_CleanDCache_by_Addr()

__STATIC_INLINE void SCB_CleanDCache_by_Addr | ( | uint32_t * | addr,
|  | int32_t | dsize
| ) |  |

D-Cache Clean by address.

Cleans D-Cache for the given address

Parameters

  [in] | addr | address (aligned to 32-byte boundary)
  [in] | dsize | size of memory block (in number of bytes)

## ◆ SCB_CleanInvalidateDCache()

__STATIC_INLINE void SCB_CleanInvalidateDCache | ( | void |  | ) |

Clean & Invalidate D-Cache.

Cleans and Invalidates D-Cache

## ◆ SCB_CleanInvalidateDCache_by_Addr()

__STATIC_INLINE void SCB_CleanInvalidateDCache_by_Addr | ( | uint32_t * | addr,
|  | int32_t | dsize
| ) |  |

D-Cache Clean and Invalidate by address.

Cleans and invalidates D_Cache for the given address

Parameters

  [in] | addr | address (aligned to 32-byte boundary)
  [in] | dsize | size of memory block (in number of bytes)

## ◆ SCB_DisableDCache()

__STATIC_INLINE void SCB_DisableDCache | ( | void |  | ) |

Disable D-Cache.

Turns off D-Cache

## ◆ SCB_DisableICache()

__STATIC_INLINE void SCB_DisableICache | ( | void |  | ) |

Disable I-Cache.

Turns off I-Cache

## ◆ SCB_EnableDCache()

__STATIC_INLINE void SCB_EnableDCache | ( | void |  | ) |

Enable D-Cache.

Turns on D-Cache

## ◆ SCB_EnableICache()

__STATIC_INLINE void SCB_EnableICache | ( | void |  | ) |

Enable I-Cache.

Turns on I-Cache

## ◆ SCB_InvalidateDCache()

__STATIC_INLINE void SCB_InvalidateDCache | ( | void |  | ) |

Invalidate D-Cache.

Invalidates D-Cache

## ◆ SCB_InvalidateDCache_by_Addr()

__STATIC_INLINE void SCB_InvalidateDCache_by_Addr | ( | uint32_t * | addr,
|  | int32_t | dsize
| ) |  |

D-Cache Invalidate by address.

Invalidates D-Cache for the given address

Parameters

  [in] | addr | address (aligned to 32-byte boundary)
  [in] | dsize | size of memory block (in number of bytes)

## ◆ SCB_InvalidateICache()

__STATIC_INLINE void SCB_InvalidateICache | ( | void |  | ) |

Invalidate I-Cache.

Invalidates I-Cache